# core/plugs/uptime.py
#
#

""" uptime of services. """

## IMPORTS

from core.utils import str_day
from core import kernel

import time

## UNTIL

def until(obj): 
    if not obj.get("sleep"): return "-"
    return str_day(int(obj.sleep) - int(time.time() - obj._last))

def upt(obj): return str_day(int(time.time()) - int(obj._started))

def idle(obj): return str_day(int(obj._last - obj._started))

def status(obj):
    if "_status" in obj: return obj._status
    return "-"

## CMNDS

def uptime(event):
    for service in kernel.run.get_keys():
        obj = kernel.run[service]
        event.reply("%s: %s/%s (%s)" % (service, upt(obj), until(obj), status(obj)))

kernel.cmnds.register("uptime", uptime)